### Class

# WebKit ColorChooserRequest

#### Description [src]

    final class WebKit.ColorChooserRequest : GObject.Object {
      /* No available fields */
    }

A request to open a color chooser.

Whenever the user interacts with an HTML element, WebKit will need to show a dialog to choose a color. For that to happen in a general way, instead of just opening a `GtkColorChooser` (which might be not desirable in some cases, which could prefer to use their own color chooser dialog), WebKit will fire the `WebKitWebView::run-color-chooser` signal with a `WebKitColorChooserRequest` object, which will allow the client application to specify the color to be selected, to inspect the details of the request (e.g. to get initial color) and to cancel the request, in case nothing was selected.

In case the client application does not wish to handle this signal, WebKit will provide a default handler which will asynchronously run a regular `GtkColorChooserDialog` for the user to interact with.

#### Ancestors

- GObject

#### Instance methods

###### webkit_color_chooser_request_cancel

Cancels `request` and the input element changes to use the initial color.

since: 2.8

###### webkit_color_chooser_request_finish

Finishes `request` and the input element keeps the current value of `WebKitColorChooserRequest:rgba`.

since: 2.8

###### webkit_color_chooser_request_get_element_rectangle

Gets the bounding box of the color input element.

since: 2.8

###### webkit_color_chooser_request_get_rgba

Gets the current `GdkRGBA` color of `request`.

since: 2.8

###### webkit_color_chooser_request_set_rgba

Sets the current `GdkRGBA` color of `request`.

since: 2.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.ColorChooserRequest:rgba

The `GdkRGBA` color of the request.

since: 2.8

#### Signals

###### WebKit.ColorChooserRequest::finished

Emitted when the `request` finishes. This signal can be emitted because the user completed the `request` calling webkit_color_chooser_request_finish(), or cancelled it with `webkit_color_chooser_request_cancel()` or because the color input element is removed from the DOM.

since: 2.8

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitColorChooserRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.